Loading...
Searching...
No Matches
dolfin::XMLFile Class Reference

I/O of DOLFIN objects in XML format. More...

`#include <XMLFile.h>`

Inheritance diagram for dolfin::XMLFile:
[legend]
Collaboration diagram for dolfin::XMLFile:
[legend]

## Public Member Functions

| XMLFile (MPI_Comm mpi_comm, const std::string filename)
| Constructor.
| XMLFile (std::ostream &s)
| Constructor from a stream.
void | read (Mesh &input)
| Mesh input.
void | write (const Mesh &output)
| Mesh output.
void | read (GenericVector &input)
| Vector input.
void | read_vector (std::vector< double > &input, std::vector< dolfin::la_index > &indices)
| Vector input.
void | write (const GenericVector &output)
| Vector output.
void | read (Parameters &input)
| Parameters input.
void | write (const Parameters &output)
| Parameters output.
void | read (Table &input)
| Table input.
void | write (const Table &output)
| Table output.
void | read (Function &input)
| Function data input.
void | write (const Function &output)
| Function data output.
void | read (MeshFunction< std::size_t > &input)
| MeshFunction (uint) input.
void | write (const MeshFunction< std::size_t > &output)
| MeshFunction (uint) output.
void | read (MeshFunction< int > &input)
| MeshFunction (int) input.
void | write (const MeshFunction< int > &output)
| MeshFunction (int) output.
void | read (MeshFunction< double > &input)
| MeshFunction (double) input.
void | write (const MeshFunction< double > &output)
| MeshFunction (double) output.
void | read (MeshFunction< bool > &input)
| MeshFunction (bool) input.
void | write (const MeshFunction< bool > &input)
| MeshFunction (bool) output.
void | read (MeshValueCollection< std::size_t > &input)
| MeshValueCollection (std::size_t) input.
void | write (const MeshValueCollection< std::size_t > &output)
| MeshValueCollection (std::size_t) output.
void | read (MeshValueCollection< int > &input)
| MeshValueCollection (int) input.
void | write (const MeshValueCollection< int > &output)
| MeshValueCollection (int) output.
void | read (MeshValueCollection< double > &input)
| MeshValueCollection (double) input.
void | write (const MeshValueCollection< double > &output)
| MeshValueCollection (double) output.
void | read (MeshValueCollection< bool > &input)
| MeshValueCollection (bool) input.
void | write (const MeshValueCollection< bool > &input)
| MeshValueCollection (bool) output.
Public Member Functions inherited from dolfin::GenericFile
| GenericFile (std::string filename, std::string filetype)
| Constructor.
virtual | ~GenericFile ()
| Destructor.
virtual void | read (GenericMatrix &A)
virtual void | read (GenericDofMap &dofmap)
virtual void | read (LocalMeshData &data)
virtual void | read (std::vector< int > &x)
virtual void | read (std::vector< std::size_t > &x)
virtual void | read (std::vector< double > &x)
virtual void | read (std::map< std::size_t, int > &map)
virtual void | read (std::map< std::size_t, std::size_t > &map)
virtual void | read (std::map< std::size_t, double > &map)
virtual void | read (std::map< std::size_t, std::vector< int > > &array_map)
virtual void | read (std::map< std::size_t, std::vector< std::size_t > > &array_map)
virtual void | read (std::map< std::size_t, std::vector< double > > &array_map)
virtual void | write (const GenericMatrix &A)
virtual void | write (const GenericDofMap &dofmap)
virtual void | write (const LocalMeshData &data)
virtual void | write (const Mesh &mesh, double time)
virtual void | write (const MeshFunction< int > &mf, double time)
virtual void | write (const MeshFunction< std::size_t > &mf, double time)
virtual void | write (const MeshFunction< double > &mf, double time)
virtual void | write (const MeshFunction< bool > &mf, double time)
virtual void | write (const Function &u, double time)
virtual void | write (const std::vector< int > &x)
virtual void | write (const std::vector< std::size_t > &x)
virtual void | write (const std::vector< double > &x)
virtual void | write (const std::map< std::size_t, int > &map)
virtual void | write (const std::map< std::size_t, std::size_t > &map)
virtual void | write (const std::map< std::size_t, double > &map)
virtual void | write (const std::map< std::size_t, std::vector< int > > &array_map)
virtual void | write (const std::map< std::size_t, std::vector< std::size_t > > &array_map)
virtual void | write (const std::map< std::size_t, std::vector< double > > &array_map)
void | _read ()
void | _write (std::size_t process_number)
std::string | name () const

## Additional Inherited Members

Protected Member Functions inherited from dolfin::GenericFile
void | read_not_impl (const std::string object) const
void | write_not_impl (const std::string object) const
Protected Attributes inherited from dolfin::GenericFile
std::string | _filename
std::string | _filetype
bool | opened_read
bool | opened_write
bool | check_header
std::size_t | counter
std::size_t | counter1
std::size_t | counter2

## Detailed Description

I/O of DOLFIN objects in XML format.

## Member Function Documentation

## read() [1/13]

void XMLFile::read | ( | Function & | input | ) |

virtual

Function data input.

Reimplemented from dolfin::GenericFile.

## read() [2/13]

void XMLFile::read | ( | GenericVector & | input | ) |

virtual

Vector input.

Reimplemented from dolfin::GenericFile.

## read() [3/13]

void XMLFile::read | ( | Mesh & | input | ) |

virtual

Mesh input.

Reimplemented from dolfin::GenericFile.

## read() [4/13]

void dolfin::XMLFile::read | ( | MeshFunction< bool > & | input | ) |

inline virtual

MeshFunction (bool) input.

Reimplemented from dolfin::GenericFile.

## read() [5/13]

void dolfin::XMLFile::read | ( | MeshFunction< double > & | input | ) |

inline virtual

MeshFunction (double) input.

Reimplemented from dolfin::GenericFile.

## read() [6/13]

void dolfin::XMLFile::read | ( | MeshFunction< int > & | input | ) |

inline virtual

MeshFunction (int) input.

Reimplemented from dolfin::GenericFile.

## read() [7/13]

void dolfin::XMLFile::read | ( | MeshFunction< std::size_t > & | input | ) |

inline virtual

MeshFunction (uint) input.

Reimplemented from dolfin::GenericFile.

## read() [8/13]

void dolfin::XMLFile::read | ( | MeshValueCollection< bool > & | input | ) |

inline virtual

MeshValueCollection (bool) input.

Reimplemented from dolfin::GenericFile.

## read() [9/13]

void dolfin::XMLFile::read | ( | MeshValueCollection< double > & | input | ) |

inline virtual

MeshValueCollection (double) input.

Reimplemented from dolfin::GenericFile.

## read() [10/13]

void dolfin::XMLFile::read | ( | MeshValueCollection< int > & | input | ) |

inline virtual

MeshValueCollection (int) input.

Reimplemented from dolfin::GenericFile.

## read() [11/13]

void dolfin::XMLFile::read | ( | MeshValueCollection< std::size_t > & | input | ) |

inline virtual

MeshValueCollection (std::size_t) input.

Reimplemented from dolfin::GenericFile.

## read() [12/13]

void XMLFile::read | ( | Parameters & | input | ) |

virtual

Parameters input.

Reimplemented from dolfin::GenericFile.

## read() [13/13]

void XMLFile::read | ( | Table & | input | ) |

virtual

Table input.

Reimplemented from dolfin::GenericFile.

## write() [1/13]

void XMLFile::write | ( | const Function & | output | ) |

virtual

Function data output.

Reimplemented from dolfin::GenericFile.

## write() [2/13]

void XMLFile::write | ( | const GenericVector & | output | ) |

virtual

Vector output.

Reimplemented from dolfin::GenericFile.

## write() [3/13]

void XMLFile::write | ( | const Mesh & | output | ) |

virtual

Mesh output.

Reimplemented from dolfin::GenericFile.

## write() [4/13]

void dolfin::XMLFile::write | ( | const MeshFunction< bool > & | input | ) |

inline virtual

MeshFunction (bool) output.

Reimplemented from dolfin::GenericFile.

## write() [5/13]

void dolfin::XMLFile::write | ( | const MeshFunction< double > & | output | ) |

inline virtual

MeshFunction (double) output.

Reimplemented from dolfin::GenericFile.

## write() [6/13]

void dolfin::XMLFile::write | ( | const MeshFunction< int > & | output | ) |

inline virtual

MeshFunction (int) output.

Reimplemented from dolfin::GenericFile.

## write() [7/13]

void dolfin::XMLFile::write | ( | const MeshFunction< std::size_t > & | output | ) |

inline virtual

MeshFunction (uint) output.

Reimplemented from dolfin::GenericFile.

## write() [8/13]

void dolfin::XMLFile::write | ( | const MeshValueCollection< bool > & | input | ) |

inline virtual

MeshValueCollection (bool) output.

Reimplemented from dolfin::GenericFile.

## write() [9/13]

void dolfin::XMLFile::write | ( | const MeshValueCollection< double > & | output | ) |

inline virtual

MeshValueCollection (double) output.

Reimplemented from dolfin::GenericFile.

## write() [10/13]

void dolfin::XMLFile::write | ( | const MeshValueCollection< int > & | output | ) |

inline virtual

MeshValueCollection (int) output.

Reimplemented from dolfin::GenericFile.

## write() [11/13]

void dolfin::XMLFile::write | ( | const MeshValueCollection< std::size_t > & | output | ) |

inline virtual

MeshValueCollection (std::size_t) output.

Reimplemented from dolfin::GenericFile.

## write() [12/13]

void XMLFile::write | ( | const Parameters & | output | ) |

virtual

Parameters output.

Reimplemented from dolfin::GenericFile.

## write() [13/13]

void XMLFile::write | ( | const Table & | output | ) |

virtual

Table output.

Reimplemented from dolfin::GenericFile.

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/XMLFile.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/XMLFile.cpp